package cn.reghao.tnb.file.app.model.po;

import cn.reghao.jutil.jdk.web.db.BaseObject;
import cn.reghao.tnb.file.app.model.dto.OssConfigDto;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author reghao
 * @date 2026-03-02 21:47:20
 */
@NoArgsConstructor
@Setter
@Getter
public class OssConfig extends BaseObject<Integer> {
    private int ossType;
    private String endpoint;
    private String accessKeyId;
    private String accessKeySecret;

    public OssConfig(OssConfigDto ossConfigDto) {
        this.ossType = 1;
        this.endpoint = ossConfigDto.getEndpoint();
        this.accessKeyId = ossConfigDto.getAccessKeyId();
        this.accessKeySecret = ossConfigDto.getAccessKeySecret();
    }
}
